#include "sys/osx/filesystem.h"

#include <string>

#import <Foundation/Foundation.h>

namespace osx {

std::string GetApplicationSupportDirectory() {
	NSArray* strings = NSSearchPathForDirectoriesInDomains(NSApplicationSupportDirectory, NSUserDomainMask, true);
	if (!strings || [strings count] < 1)
		return ""; // ack

	return [[strings objectAtIndex:0] UTF8String];
}

} // namespace osx
